body {
  margin: 0;
  padding: 0;
}

div,
p,
span {
  margin: 0;
  padding: 0;
}

input {
  border: none;
  flex: 1;
  outline: none;
  background: transparent;
  font-size: 12px;
  font-weight: normal;
  line-height: 20px;
  letter-spacing: 0px;
  color: #5c6268;
}

/* 设置所有 input 和 textarea 的 placeholder 颜色 */
::placeholder {
  color: #b8bec8; /* 红色 */
  opacity: 1; /* 某些浏览器默认将 opacity 设置为 0.54 */
}

/* 针对 WebKit 浏览器（如 Chrome, Safari） */
:-webkit-input-placeholder {
  color: #b8bec8;
  opacity: 1;
}

/* 针对 Mozilla Firefox */
:-moz-placeholder {
  color: #b8bec8;
  opacity: 1;
}

/* 较旧版本的 Firefox */
:-ms-input-placeholder {
  color: #b8bec8;
  opacity: 1;
}

/* WebKit 浏览器（如 Chrome 和 Safari） */
input[type="password"]::-webkit-calendar-picker-indicator,
input[type="password"]::-webkit-search-cancel-button,
input[type="password"]::-webkit-clear-button {
  display: none;
}

/* Firefox */
input[type="password"]::-moz-calendar-button {
  display: none;
}

/* Internet Explorer 和 Edge (旧版本) */
input[type="password"]::-ms-reveal {
  display: none;
}

/* 较新的 Edge 版本 */
input[type="password"]::-ms-clear {
  display: none;
}

.can-click {
  cursor: pointer;
}

.common-flex {
  display: flex;
  align-items: center;
}
